aboutsummaryrefslogtreecommitdiffstats
path: root/get-prebuilts
diff options
context:
space:
mode:
authorDenis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>2021-01-07 05:12:17 +0100
committerDenis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>2021-01-07 05:53:39 +0100
commit80b0b8b5b18aa16a67eedf4cc4e44bd0ecfcbc17 (patch)
tree4d0d7cc23da5b9d4660233cdb08eda636dd1cef0 /get-prebuilts
downloadvendor_f-droid-80b0b8b5b18aa16a67eedf4cc4e44bd0ecfcbc17.tar.gz
vendor_f-droid-80b0b8b5b18aa16a67eedf4cc4e44bd0ecfcbc17.tar.bz2
vendor_f-droid-80b0b8b5b18aa16a67eedf4cc4e44bd0ecfcbc17.zip
Add f-droid privilege extension
Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
Diffstat (limited to 'get-prebuilts')
-rwxr-xr-xget-prebuilts49
1 files changed, 49 insertions, 0 deletions
diff --git a/get-prebuilts b/get-prebuilts
new file mode 100755
index 0000000..60b7e6d
--- /dev/null
+++ b/get-prebuilts
@@ -0,0 +1,49 @@
+#!/bin/sh
+# Copyright 2020 Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+set -e
+
+mirror="https://f-droid.org/repo/"
+thisdir="$(dirname $0)"
+destdir="${thisdir}/prebuilts"
+gnupg_home="${thisdir}/gnupg"
+
+import_fdroid_key()
+{
+ if [ ! -d "${gnupg_home}" ] ; then
+ install -m 700 -d "${gnupg_home}"
+
+ gpg --homedir "${gnupg_home}" \
+ --import "${thisdir}/f-droid.key"
+ fi
+}
+
+get()
+{
+ apk="$1"
+ tmp="$(mktemp -u 'XXXXXXXX')"
+
+ install -d "${destdir}"
+
+ curl -L "${mirror}/${apk}" -o "${destdir}/${apk}.${tmp}"
+ curl -L "${mirror}/${apk}.asc" -o "${destdir}/${apk}.asc"
+
+ gpg --verify --armor --homedir "${gnupg_home}" \
+ "${destdir}/${apk}.asc" "${destdir}/${apk}.${tmp}" && \
+ mv "${destdir}/${apk}.${tmp}" "${destdir}/${apk}"
+}
+
+import_fdroid_key
+
+get org.fdroid.fdroid.privileged_2110.apk